Description

In the action setting,

actually the python is usable only inserting directly the python code.

But this deny the possible to use a very complex python code to do some very powerful action. Like create a specific form window, import

some modules and to do more elaborations.

So would be good to add the choice to link an action to a 

file with python code and passing it the parameters needed to do the action.

History

#1 - 2011-10-28 03:53 PM - Cyrus Hiatt

If I understand correctly, I think this can already be done. I use the following action in QGIS 1.7.0 to call a python script which writes field values out to a

text file:  

"C://Python26//python.exe" "E://Temp//my_action.py "  %field_name

#2 - 2011-10-29 03:06 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Status changed from Open to Feedback

Please leave feedback after checking if it works already as commented by Cyrus Hiatt

#3 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-01-28 04:19 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

Closing for lack of feedback. Reopen if necessary.
